Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVImportParameters Class Reference

Store all the advanced import parameters for the CSV file. More...

`#include <CSVGraphImport.h>`

List of all members.

## Public Member Functions

- CSVImportParameters (unsigned int fromLine=0, unsigned int toLine=UINT_MAX, const std::vector< CSVColumn > &columns=std::vector< CSVColumn >())
- virtual ~CSVImportParameters ()
- unsigned int columnNumber () const
    Return the number of column.
- bool importColumn (unsigned int column) const
    return true if the column is marked for import.
- std::string getColumnName (unsigned int column) const
    Get the column name.
- std::string getColumnDataType (unsigned int column) const
    Get the column data type.
- unsigned int getFirstLineIndex () const
    Return the index of the first line to import.
- unsigned int getLastLineIndex () const
    Return the index of the last line to import.
- bool importRow (unsigned int row) const
    Return true if the given row is between the first row to import and the last row to import.

## Detailed Description

Store all the advanced import parameters for the CSV file.

Store the informations about columns and rows to import. Use this object to configure the import process of a CSVImportGraph object.

## Constructor & Destructor Documentation

tlp::CSVImportParameters::CSVImportParameters | ( | unsigned int | fromLine = `0`,
|  | unsigned int | toLine = `UINT_MAX`,
|  | const std::vector< CSVColumn > & | columns = `std::vector< CSVColumn >()`
| ) |  |

virtual tlp::CSVImportParameters::~CSVImportParameters | ( |  | ) | `[virtual]`

## Member Function Documentation

unsigned int tlp::CSVImportParameters::columnNumber | ( |  | ) | const

Return the number of column.

std::string tlp::CSVImportParameters::getColumnDataType | ( | unsigned int | column | ) | const

Get the column data type.

std::string tlp::CSVImportParameters::getColumnName | ( | unsigned int | column | ) | const

Get the column name.

unsigned int tlp::CSVImportParameters::getFirstLineIndex | ( |  | ) | const

Return the index of the first line to import.

unsigned int tlp::CSVImportParameters::getLastLineIndex | ( |  | ) | const

Return the index of the last line to import.

bool tlp::CSVImportParameters::importColumn | ( | unsigned int | column | ) | const

return true if the column is marked for import.

bool tlp::CSVImportParameters::importRow | ( | unsigned int | row | ) | const

Return true if the given row is between the first row to import and the last row to import.

Tulip Software by LaBRI Visualization Team 2001 - 2012